
local clock = require 'clock'

function love.load()

	screen = { 300, 100 }
	love.window.setMode( screen[1], screen[2], { borderless = true } )
	love.window.setTitle( 'Digital Clock' )

	clock.effect:send( 'screen', screen )

	local size = 7.5
	clock.effect:send( 'size', size )

	lastUpdate = 0
	love.graphics.setColor( 155, 155, 155, 255 )

	end

function love.update( dt )

	local sec	= tonumber( os.date( '%S' ) )
	if sec	~= lastUpdate then	-- only update when changed

		local mn = tonumber( os.date( '%M' ) )
		local hr = tonumber( os.date( '%H' ) )

		clock.effect:send( 'sec', sec )
		clock.effect:send( 'mn',   mn )
		clock.effect:send( 'hr',   hr )
		lastUpdate = sec
		end

	end

function love.draw()

	love.graphics.setShader( clock.effect )
	love.graphics.rectangle( "fill", 0, 0, screen[1], screen[2] )
	love.graphics.setShader()

	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )

	end

function love.keypressed( key )

	if key == 'escape'	then love.event.push( 'quit' )	end

	end
